Orvelt

List goals

GET
/project/{projectId}/goals

List a project's goals.

Requires a Business session or a resource-authorized OAuth token and the applicable member access. API keys are not accepted.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
Default1
limit?integer
Range1 <= value <= 100
Default10

Response Body

OK

application/json
  1. response
goals*array<>
pagination*
Example Request
curl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/goals'
Example Response
{
  "goals": [
    {
      "id": "string",
      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
      "goal": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "page": -9007199254740991,
    "limit": -9007199254740991,
    "total": -9007199254740991,
    "totalPages": -9007199254740991
  }
}